Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlxt
Interface XT

All Known Implementing Classes:
  WLXT

public interface XT

Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.

Method Summary
`void` | `addMFLDocument(java.net.URL mflDocumentURI)` Add a MFL document to the cache.
`void` | `addMFLDocument(java.net.URL mflDocumentURI, org.xml.sax.InputSource mflInput)` Add a MFL document to the cache.
`void` | `addMFLDocument(java.net.URL mflDocumentURI, java.io.InputStream mflInput)` Add a MFL document to the cache.
`void` | `addMFLDocument(java.net.URL mflDocumentURI, java.io.Reader mflInput)`
`void` | `addStylesheet(java.net.URL stylesheetURI)` Add a single stylesheet to the cache.
`void` | `addStylesheet(java.net.URL stylesheetURI, org.xml.sax.InputSource stylesheetInput)` Add a single stylesheet to the cache.
`void` | `clearMFLCache()`
`void` | `init(java.util.Properties properties)` Initialize the WLXT with a Properties object.
`void` | `init(java.lang.String filename)` Initialize WLXT with a Properties file.
`org.w3c.dom.Document` | `parse(java.net.URL mflURI, java.io.InputStream binaryInput, java.io.PrintWriter debug)` Parse binary data given in binaryInput argument using the MFL document specified by mflURI.
`org.w3c.dom.Document` | `parse(java.net.URL mflURI, java.io.InputStream binaryInput, java.lang.String dtdSystemId, java.io.PrintWriter debug)` Parse binary data given in binaryInput argument using the MFL document specified by mflURI.
`org.w3c.dom.Document` | `parse(java.net.URL mflURI, java.io.InputStream binaryInput, java.lang.String defaultNamespace, java.lang.String schemaLocation, java.io.PrintWriter debug)` Parse binary data given in binaryInput argument using the MFL document specified by mflURI.
`void` | `reinit(java.util.Properties properties)` Reinitialize the entire cache.
`void` | `reinitStylesheet(java.net.URL stylesheetURI)` Reinitialize a single stylesheet.
`void` | `serialize(java.net.URL mflURI, org.w3c.dom.Document document, java.io.OutputStream binaryOutput, java.io.PrintWriter debug)` Serialize the XML data (given in document argument) to the binary format specified by the MFL document (mflURI).
`void` | `serialize(java.net.URL mflURI, org.xml.sax.InputSource xmlInput, java.io.OutputStream binaryOutput)` Serialize the XML data (given in xmlInput argument) to the binary format specified by the MFL document (mflURI).
`void` | `serialize(java.net.URL mflURI, org.xml.sax.InputSource xmlInput, java.io.OutputStream binaryOutput, java.io.PrintWriter debug)` Serialize the XML data (given in xmlInput argument) to the binary format specified by the MFL document (mflURI).
`void` | `serialize(java.net.URL mflURI, java.io.InputStream xmlInput, java.io.OutputStream binaryOutput)` Serialize the XML data (given in xmlInput argument) to the binary format specified by the MFL document (mflURI).
`void` | `serialize(java.net.URL mflURI, java.io.InputStream xmlInput, java.io.OutputStream binaryOutput, java.io.PrintWriter debug)` Serialize the XML data (given in xmlInput argument) to the binary format specified by the MFL document (mflURI).
`void` | `transform(org.w3c.dom.Document document, java.io.OutputStream out, java.net.URL stylesheetURI)` Perform an XSLT transformation on the document argument using the specified stylesheet.
`org.w3c.dom.Document` | `transform(org.w3c.dom.Document document, java.net.URL stylesheetURI)` Perform an XSLT transformation on the document argument using the specified stylesheet.
`void` | `transform(org.xml.sax.InputSource xmlInput, java.io.OutputStream out, java.net.URL stylesheetURI)` Perform an XSLT transformation on the XML input argument using the specified stylesheet.
`org.w3c.dom.Document` | `transform(org.xml.sax.InputSource xmlInput, java.net.URL stylesheetURI)` Perform an XSLT transformation on the document argument using the specified stylesheet.

Method Detail

### init

    public void init(java.util.Properties properties)
              throws java.lang.Exception

  Initialize the WLXT with a Properties object.

  Parameters:
    `properties` - Properties object containing the property 'WLXT.stylesheets' and/or 'WLXT.MFLDocuments'.
  Throws:
    WLXTException - If an error occurs accessing a specified stylesheet or MFL document.
  See Also:
    `Properties`

### init

    public void init(java.lang.String filename)
              throws java.lang.Exception

  Initialize WLXT with a Properties file. The properties file should contain the property 'WLXT.stylesheets' and/or 'WLXT.MFLDocuments'. The stylesheets listed in the 'WLXT.stylesheets' property are precompiled and cached internally. The MFL documents listed in the 'WLXT.MFLDocument' property are also precompiled and cached internally.

  Parameters:
    `filename` - The name of the properties file
  Throws:
    WLXTException - If an error occurs accessing a specified stylesheet or MFL document.

### reinitStylesheet

    public void reinitStylesheet(java.net.URL stylesheetURI)
                          throws java.lang.Exception

  Reinitialize a single stylesheet. This method causes the specified stylesheet to be reloaded into the cache.

  Parameters:
    `stylesheetURI` - The unique resource identifier for the stylesheet
  Throws:
    WLXTException - If an error occurs accessing the specified stylesheet.
  See Also:
    `URL`

### reinit

    public void reinit(java.util.Properties properties)
                throws java.lang.Exception

  Reinitialize the entire cache. This method causes all stylesheets and MFL documents to be reloaded into the cache. The properties object should contain the property 'WLXT.stylesheets' and/or 'WLXT.MFLDocuments'.

  Parameters:
    `properties` - Properties object containing the property WLXT.stylesheets and/or WLXT.MFLDocuments
  Throws:
    WLXTException - If an error occurs accessing a specified stylesheet or MFL document.

### addStylesheet

    public void addStylesheet(java.net.URL stylesheetURI)
                       throws java.lang.Exception

  Add a single stylesheet to the cache. This method causes the specified stylesheet to be added into the XSLTWrapper object's cache.

  Parameters:
    `stylesheetURI` - The unique resource identifier for the stylesheet
  Throws:
    WLXTException - If an error occurs accessing the specified stylesheet.
  See Also:
    `URL`

### addStylesheet

    public void addStylesheet(java.net.URL stylesheetURI,
                              org.xml.sax.InputSource stylesheetInput)
                       throws java.lang.Exception

  Add a single stylesheet to the cache. The user can supply the InputSource for the content of the stylesheet. This method causes the specified stylesheet to be added into the XSLTWrapper object's cache.

  Parameters:
    `stylesheetURI` - The unique resource identifier for the stylesheet
    `stylesheetInput` - The InputSource for the stylesheet
  Throws:
    WLXTException - If an error occurs accessing the specified stylesheet.
  See Also:
    `URL`

### addMFLDocument

    public void addMFLDocument(java.net.URL mflDocumentURI)
                        throws java.lang.Exception

  Add a MFL document to the cache. This method causes the specified MFL document to be parsed and added to the WLXT object's cache. If a MFL Document has previously been added using this URI, the previous document is replaced.

  Parameters:
    `mflURI` - The unique resource identifier for the MFL document
  Throws:
    WLXTException - If an error occurs accessing the specified MFL document.
  See Also:
    `URL`

### addMFLDocument

    public void addMFLDocument(java.net.URL mflDocumentURI,
                               org.xml.sax.InputSource mflInput)
                        throws java.lang.Exception

  Add a MFL document to the cache. The user can supply the InputSource for the content of the MFL document. This method causes the specified MFL document to be parsed and added to the WLXT object's cache. If a MFL Document has previously been added using this URI, the previous document is replaced.

  Parameters:
    `mflURI` - The unique resource identifier for the MFL document
    `mflInput` - The InputSource for the content of the MFL document
  Throws:
    WLXTException - If an error occurs accessing the specified MFL document.
  See Also:
    `URL`

### addMFLDocument

    public void addMFLDocument(java.net.URL mflDocumentURI,
                               java.io.InputStream mflInput)
                        throws java.lang.Exception

  Add a MFL document to the cache. The user can supply the InputSource for the content of the MFL document. This method causes the specified MFL document to be parsed and added to the WLXT object's cache. If a MFL Document has previously been added using this URI, the previous document is replaced.

  Parameters:
    `mflURI` - The unique resource identifier for the MFL document
    `mflInput` - The InputSource for the content of the MFL document
  Throws:
    WLXTException - If an error occurs accessing the specified MFL document.
  See Also:
    `URL`

### addMFLDocument

    public void addMFLDocument(java.net.URL mflDocumentURI,
                               java.io.Reader mflInput)
                        throws java.lang.Exception

### clearMFLCache

    public void clearMFLCache()

### parse

    public org.w3c.dom.Document parse(java.net.URL mflURI,
                                      java.io.InputStream binaryInput,
                                      java.io.PrintWriter debug)
                               throws java.lang.Exception

  Parse binary data given in binaryInput argument using the MFL document specified by mflURI. The resulting DOM object is returned to the caller.

  No DTD or schema reference is output in the resulting XML.

  If the MFL document is not found in the cache, then it will be automatically processed and added to the cache.

  Parameters:
    `mflURI` - URL to MFL document that should be used to parse binary data
    `binaryInput` - InputStream of binary data that should be converted to XML
    `debug` - PrintWriter to be used to display parse debug information. May be null to disable debug information.
  Throws:
    java.io.WLXTException - If an error occurs converting the binary data to XML

### parse

    public org.w3c.dom.Document parse(java.net.URL mflURI,
                                      java.io.InputStream binaryInput,
                                      java.lang.String dtdSystemId,
                                      java.io.PrintWriter debug)
                               throws java.lang.Exception

  Parse binary data given in binaryInput argument using the MFL document specified by mflURI. The resulting DOM object is returned to the caller.

  This method has a system id parameter that allows the user to specify the document type definition for the doctype element of the resulting XML.

  If the MFL document is not found in the cache, then it will be automatically processed and added to the cache.

  Parameters:
    `mflURI` - URL to MFL document that should be used to parse binary data
    `binaryInput` - InputStream of binary data that should be converted to XML
    `dtdSystemId` - The system id of the Document Type Definition. This id will be output in the DOCTYPE element of the resulting XML.
    `debug` - PrintWriter to be used to display parse debug information. May be null to disable debug information.
  Throws:
    java.io.WLXTException - If an error occurs converting the binary data to XML

### parse

    public org.w3c.dom.Document parse(java.net.URL mflURI,
                                      java.io.InputStream binaryInput,
                                      java.lang.String defaultNamespace,
                                      java.lang.String schemaLocation,
                                      java.io.PrintWriter debug)
                               throws java.lang.Exception

  Parse binary data given in binaryInput argument using the MFL document specified by mflURI. The resulting DOM object is returned to the caller.

  This method has default namespace parameter that causes the resulting XML to output a default namespace in the root node of the document. This method also has a schema location parameter cause the resulting XML to reference a schema as its content model.

  If the MFL document is not found in the cache, then it will be automatically processed and added to the cache.

  Parameters:
    `mflURI` - URL to MFL document that should be used to parse binary data
    `binaryInput` - InputStream of binary data that should be converted to XML
    `defaultNamespace` - can be null, if not null causes a default namespace to be declared in the root node of the resulting XML
    `schemaLocation` - causes a reference to the specified schema to be output in the root node of the resulting XML
    `debug` - PrintWriter to be used to display parse debug information. May be null to disable debug information.
  Throws:
    java.io.WLXTException - If an error occurs converting the binary data to XML

### serialize

    public void serialize(java.net.URL mflURI,
                          org.w3c.dom.Document document,
                          java.io.OutputStream binaryOutput,
                          java.io.PrintWriter debug)
                   throws java.lang.Exception

  Serialize the XML data (given in document argument) to the binary format specified by the MFL document (mflURI). Each node of XML data is converted to the binary format specified by the MFL FieldFormat of the identical name. The order and grouping of the XML nodes must match the order and sequence specified in the MFL document.

  If the MFL document is not found in the cache, then it will be automatically processed and added to the cache.

  Parameters:
    `mflURI` - URL to MFL document that should be used to convert the XML data to the binary format
    `document` - XML data that is to be converted to a binary format
    `binaryOutput` - OutputStream that is to contain the binary data
    `debug` - PrintWriter to be used to display (or log) debug information. May be null to disable debug information.
  Throws:
    java.io.WLXTException - If an error occurs converting the XML data to the binary format

### serialize

    public void serialize(java.net.URL mflURI,
                          java.io.InputStream xmlInput,
                          java.io.OutputStream binaryOutput)
                   throws java.lang.Exception

  Serialize the XML data (given in xmlInput argument) to the binary format specified by the MFL document (mflURI). Each node of XML data is converted to the binary format specified by the MFL FieldFormat of the identical name. The order and grouping of the XML nodes must match the order and sequence specified in the MFL document.

  If the MFL document is not found in the cache, then it will be automatically processed and added to the cache.

  Parameters:
    `mflURI` - URL to MFL document that should be used to convert the XML data to the binary format
    `xmlInput` - XML data that is to be converted to a binary format
    `binaryOutput` - OutputStream that is to contain the binary data
  Throws:
    java.io.WLXTException - If an error occurs converting the XML data to the binary format

### serialize

    public void serialize(java.net.URL mflURI,
                          org.xml.sax.InputSource xmlInput,
                          java.io.OutputStream binaryOutput)
                   throws java.lang.Exception

  Serialize the XML data (given in xmlInput argument) to the binary format specified by the MFL document (mflURI). Each node of XML data is converted to the binary format specified by the MFL FieldFormat of the identical name. The order and grouping of the XML nodes must match the order and sequence specified in the MFL document.

  If the MFL document is not found in the cache, then it will be automatically processed and added to the cache.

  Parameters:
    `mflURI` - URL to MFL document that should be used to convert the XML data to the binary format
    `xmlInput` - XML data that is to be converted to a binary format
    `binaryOutput` - OutputStream that is to contain the binary data
  Throws:
    java.io.WLXTException - If an error occurs converting the XML data to the binary format

### serialize

    public void serialize(java.net.URL mflURI,
                          java.io.InputStream xmlInput,
                          java.io.OutputStream binaryOutput,
                          java.io.PrintWriter debug)
                   throws java.lang.Exception

  Serialize the XML data (given in xmlInput argument) to the binary format specified by the MFL document (mflURI). Each node of XML data is converted to the binary format specified by the MFL FieldFormat of the identical name. The order and grouping of the XML nodes must match the order and sequence specified in the MFL document.

  If the MFL document is not found in the cache, then it will be automatically processed and added to the cache.

  Parameters:
    `mflURI` - URL to MFL document that should be used to convert the XML data to the binary format
    `xmlInput` - XML data that is to be converted to a binary format
    `binaryOutput` - OutputStream that is to contain the binary data
    `debug` - PrintWriter to be used to display (or log) debug information. May be null to disable debug information.
  Throws:
    java.io.WLXTException - If an error occurs converting the XML data to the binary format

### serialize

    public void serialize(java.net.URL mflURI,
                          org.xml.sax.InputSource xmlInput,
                          java.io.OutputStream binaryOutput,
                          java.io.PrintWriter debug)
                   throws java.lang.Exception

  Serialize the XML data (given in xmlInput argument) to the binary format specified by the MFL document (mflURI). Each node of XML data is converted to the binary format specified by the MFL FieldFormat of the identical name. The order and grouping of the XML nodes must match the order and sequence specified in the MFL document.

  If the MFL document is not found in the cache, then it will be automatically processed and added to the cache.

  Parameters:
    `mflURI` - URL to MFL document that should be used to convert the XML data to the binary format
    `xmlInput` - XML data that is to be converted to a binary format
    `binaryOutput` - OutputStream that is to contain the binary data
    `debug` - PrintWriter to be used to display (or log) debug information. May be null to disable debug information.
  Throws:
    java.io.WLXTException - If an error occurs converting the XML data to the binary format

### transform

    public void transform(org.xml.sax.InputSource xmlInput,
                          java.io.OutputStream out,
                          java.net.URL stylesheetURI)
                   throws java.lang.Exception

  Perform an XSLT transformation on the XML input argument using the specified stylesheet. The result of the transformation is written to the output stream parameter. If the stylesheet is not found in the cache, then it will be automatically processed and added to the cache.

  Parameters:
    `xmlInput` - XML input to XSLT transformation
    `out` - Output stream where the result of transformation is written.
    `stylesheetURI` - The unique resource identifier for the stylesheet to use for the transformation
  Throws:
    java.io.WLXTException - If an error occurs performing the XSLT transformation
  See Also:
    `InputSource`, `URL`

### transform

    public void transform(org.w3c.dom.Document document,
                          java.io.OutputStream out,
                          java.net.URL stylesheetURI)
                   throws java.lang.Exception

  Perform an XSLT transformation on the document argument using the specified stylesheet. The result of the transformation is put in the result parameter.

  Parameters:
    `document` - DOM Document object to be transformed
    `out` - Output stream where the result of transformation is written.
    `stylesheetURI` - The unique resource identifier for the stylesheet to use for the transformation
  Throws:
    java.io.WLXTException - If an error occurs performing the XSLT transformation
  See Also:
    `Document`, `URL`

### transform

    public org.w3c.dom.Document transform(org.xml.sax.InputSource xmlInput,
                                          java.net.URL stylesheetURI)
                                   throws java.lang.Exception

  Perform an XSLT transformation on the document argument using the specified stylesheet. The result of the transformation is returned.

  Parameters:
    `xmlInput` - XML input to XSLT transformation
    `stylesheetURI` - The unique resource identifier for the stylesheet to use for the transformation
  Throws:
    java.io.WLXTException - If an error occurs performing the XSLT transformation
  See Also:
    `Document`, `URL`

### transform

    public org.w3c.dom.Document transform(org.w3c.dom.Document document,
                                          java.net.URL stylesheetURI)
                                   throws java.lang.Exception

  Perform an XSLT transformation on the document argument using the specified stylesheet. The result of the transformation is returned.

  Parameters:
    `document` - DOM Document object to be transformed
    `stylesheetURI` - The unique resource identifier for the stylesheet to use for the transformation
  Throws:
    java.io.WLXTException - If an error occurs performing the XSLT transformation
  See Also:
    `Document`, `URL`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)